PDA

Visualizza la versione completa : Debian sid e librerie SDL


mykol
09-01-2004, 01:26
Ciao,

Su debian sid sto installando l'emulatore openmsx e devo prima installare le seguenti librerie.

openMSX depends on several libraries. You must have the runtime packages of these libraries install to be able to run openMSX. The runtime package for the "Foo" library is typically called libfoo. Also, for compiling openMSX you need the development packages of these libraries installed as well. Development packages are typically named libfoo-dev or libfoo-devel.

libsdl1.2debian and libsdl1.2-dev
Simple DirectMedia Layer.
libsdl-image1.2 and libsdl-image1.2-dev
Image loading library for SDL.


First of all, you need some SDL packages, the run time ones and also the developer packages. You need the general SDL libs and SDL_image. The exact names of the package are different for each distribution. On a Debian testing system, they are called:


./configure, tra tutti gli altri messaggi (che sembrano corretti) mi dice anche questo:


checking for libxml - version >= 2.0.0... yes (version 2.6.3)
checking if we want the openGL Renderer... yes
checking gl.h usability... no
checking gl.h presence... no
checking for gl.h... no
checking GL/gl.h usability... yes

Cos'è sto gl.h ? E' grave ? Cosa devo fare ?

il ./configure sembra poi terminare senza altri errori.

Qualcuno sa cosa devo mettere ? (ho tanta voglia di giocare a Zanac-ex ed a Vampirkiller !)

Grazie

andy caps
09-01-2004, 02:08
gl dovresti trovarlo nei mesagl se hai una scheda nvidia installa i driver altrimenti prova a mettere

apt-get install xlibmesa-dri xlibmesa-drm-src xlibmesa-gl xlibosmesa4 xlibmesa-glu xlibmesa3-glu xlibmesa3-gl
glutg3-dev glutg3 libglui2c102 libglui-dev libglut3 libopengl-perl



togliendo quello che crea problemi di dipendenze

che scheda video hai

mykol
09-01-2004, 17:48
ho una scheda video ATI All in Wonder 128 PRO.

Ho provato ad installarli ma mi dà altri errori.

Ora devo uscire, riproverò più tardi

mschievano
08-12-2004, 20:00
Could not load OpenGL library sau gentoo con scheda grafica nvidia.

Cosa devo installare?

andy caps
08-12-2004, 20:10
con gentoo in genere si installa

emerge nvidia-kernel nvidia-glx

e si modifica il file di conf abilitando load glx se è commentato oltre a mettere come driver nvidia

magari dai un opengl-update nvidia

metti in /etc/modules.autoload.d/kernel-2.6 anche l'agp della tua mobo magari

mschievano
08-12-2004, 20:18
è già così nel file. E' americas army che rompe le :) :) perchè non lo trova.
Cosa dicevi per l'agp? basta che scrivo agp in kernel2.6?

andy caps
08-12-2004, 20:24
dai un glxinfo da consolle e guarda che dice

per l'agp ci devi scrivere il tuo

io ad esempio metto

via_agp
se hai intel devi mettere
intel_agp

incolla anche xorg.conf si controlla

mschievano
12-12-2004, 15:45
che è un nvidia geforce2 mx con supporto agp, sse ,mmx e 3dnow
il processore è un amd athlon 2200.

che stringa uso?

andy caps
12-12-2004, 15:57
l'agp dipende dalla tua mobo
dai dmesg e controlla se ha i chipset via devi mettere via_agp
se ha intel

intel_agp

incolla dmesg

mschievano
13-12-2004, 22:05
è un via KT333

ho già messo

via_agp

ma non lo trova come modulo..

Loading